Name: H5Tget_nmembers
Signature:
  int `H5Tget_nmembers`(hid_t `type_id` )
Purpose:
  Retrieves the number of elements in a compound or enumeration datatype.
Description:
  `H5Tget_nmembers` retrieves the number of fields in a compound datatype or the number of members of an enumeration datatype.
Parameters:

hid_t `type_id` | Identifier of datatype to query.

Returns:
  Returns the number of elements if successful; otherwise returns a negative value.
Fortran90 Interface: h5tget_nmembers_f

      SUBROUTINE h5tget_nmembers_f(type_id, num_members, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: num_members   ! Number of fields in a
                                              ! compound datatype
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
      END SUBROUTINE h5tget_nmembers_f